Package com.sap.ai.sdk.core.model

# Class BckndServiceServicePlanItem

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceServicePlanItem

public class BckndServiceServicePlanItem extends Object
BckndServiceServicePlanItem

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceServicePlanItem()`
  Default constructor for BckndServiceServicePlanItem.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndServiceServicePlanItem`
  `create()`
  Create a new `BckndServiceServicePlanItem` instance.
  `BckndServiceServicePlanItem`
  `description(String description)`
  Set the description of this `BckndServiceServicePlanItem` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `BckndServiceServicePlanItem`
  `free(Boolean free)`
  Set the free of this `BckndServiceServicePlanItem` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceServicePlanItem`.
  `String`
  `getDescription()`
  description of the service plan
  `String`
  `getId()`
  id of the service plan
  `BckndServiceServicePlanItemMetadata`
  `getMetadata()`
  Get metadata
  `String`
  `getName()`
  name of the service plan
  `int`
  `hashCode()`
  `BckndServiceServicePlanItem`
  `id(String id)`
  Set the id of this `BckndServiceServicePlanItem` instance and return the same instance.
  `Boolean`
  `isFree()`
  if the service plan free
  `BckndServiceServicePlanItem`
  `metadata(BckndServiceServicePlanItemMetadata metadata)`
  Set the metadata of this `BckndServiceServicePlanItem` instance and return the same instance.
  `BckndServiceServicePlanItem`
  `name(String name)`
  Set the name of this `BckndServiceServicePlanItem` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceServicePlanItem` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `BckndServiceServicePlanItem` instance.
  `void`
  `setFree(Boolean free)`
  Set the free of this `BckndServiceServicePlanItem` instance.
  `void`
  `setId(String id)`
  Set the id of this `BckndServiceServicePlanItem` instance.
  `void`
  `setMetadata(BckndServiceServicePlanItemMetadata metadata)`
  Set the metadata of this `BckndServiceServicePlanItem` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndServiceServicePlanItem` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceServicePlanItem` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceServicePlanItem

    protected BckndServiceServicePlanItem()
    Default constructor for BckndServiceServicePlanItem.

- ## Method Details

  - ### description

    @Nonnull public BckndServiceServicePlanItem description(@Nullable String description)
    Set the description of this `BckndServiceServicePlanItem` instance and return the same instance.
    Parameters:
      `description` - description of the service plan
    Returns:
      The same instance of this `BckndServiceServicePlanItem` class

  - ### getDescription

    @Nonnull public String getDescription()
    description of the service plan
    Returns:
      description The description of this `BckndServiceServicePlanItem` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `BckndServiceServicePlanItem` instance.
    Parameters:
      `description` - description of the service plan

  - ### free

    @Nonnull public BckndServiceServicePlanItem free(@Nullable Boolean free)
    Set the free of this `BckndServiceServicePlanItem` instance and return the same instance.
    Parameters:
      `free` - if the service plan free
    Returns:
      The same instance of this `BckndServiceServicePlanItem` class

  - ### isFree

    @Nonnull public Boolean isFree()
    if the service plan free
    Returns:
      free The free of this `BckndServiceServicePlanItem` instance.

  - ### setFree

    public void setFree(@Nullable Boolean free)
    Set the free of this `BckndServiceServicePlanItem` instance.
    Parameters:
      `free` - if the service plan free

  - ### id

    @Nonnull public BckndServiceServicePlanItem id(@Nullable String id)
    Set the id of this `BckndServiceServicePlanItem` instance and return the same instance.
    Parameters:
      `id` - id of the service plan
    Returns:
      The same instance of this `BckndServiceServicePlanItem` class

  - ### getId

    @Nonnull public String getId()
    id of the service plan
    Returns:
      id The id of this `BckndServiceServicePlanItem` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `BckndServiceServicePlanItem` instance.
    Parameters:
      `id` - id of the service plan

  - ### name

    @Nonnull public BckndServiceServicePlanItem name(@Nullable String name)
    Set the name of this `BckndServiceServicePlanItem` instance and return the same instance.
    Parameters:
      `name` - name of the service plan
    Returns:
      The same instance of this `BckndServiceServicePlanItem` class

  - ### getName

    @Nonnull public String getName()
    name of the service plan
    Returns:
      name The name of this `BckndServiceServicePlanItem` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `BckndServiceServicePlanItem` instance.
    Parameters:
      `name` - name of the service plan

  - ### metadata

    @Nonnull public BckndServiceServicePlanItem metadata(@Nullable BckndServiceServicePlanItemMetadata metadata)
    Set the metadata of this `BckndServiceServicePlanItem` instance and return the same instance.
    Parameters:
      `metadata` - The metadata of this `BckndServiceServicePlanItem`
    Returns:
      The same instance of this `BckndServiceServicePlanItem` class

  - ### getMetadata

    @Nonnull public BckndServiceServicePlanItemMetadata getMetadata()
    Get metadata
    Returns:
      metadata The metadata of this `BckndServiceServicePlanItem` instance.

  - ### setMetadata

    public void setMetadata(@Nullable BckndServiceServicePlanItemMetadata metadata)
    Set the metadata of this `BckndServiceServicePlanItem` instance.
    Parameters:
      `metadata` - The metadata of this `BckndServiceServicePlanItem`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceServicePlanItem`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceServicePlanItem` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceServicePlanItem` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceServicePlanItem` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceServicePlanItem create()
    Create a new `BckndServiceServicePlanItem` instance. No arguments are required.